Create a new reseller
Create a new reseller under your partner account. Partner account required.
OpenAPI
````yaml post /api/v2/createReseller
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/createReseller:
post:
tags:
- Accounts
summary: Create a new reseller
description: >-
Create a new reseller under your partner account. Partner account
required.
parameters:
- name: targetPartnerId
in: query
description: Partner Id to create reseller in
required: true
schema:
type: string
requestBody:
required: true
content:
application/json:
schema:
type: object
required:
- resellerName
properties:
email:
description: Admin user email for this account
type: string
example: admin@acmesolar.com
resellerName:
description: Reseller Name
type: string
example: Acme Solar
offeredProductPlanId:
description: >-
Offered Product Plan. Requires the Reseller to accept and
checkout.
type: string
example: custom-plan-1
productPlanId:
description: >-
Product Plan to set on the account. Otherwise default sell
plan is used
type: string
example: base-plan-1
hipaaEnabledDefault:
description: >-
Default HipaaEnabled settings for organizations under the
reseller
type: boolean
example: false
resellerStatus:
description: Reseller status. Defaults to enabled.
type: string
enum:
- enabled
- disabled
example: enabled
responses:
'200':
description: OK
'201':
description: Reseller created
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: true
message:
type: string
example: Reseller created
organization:
type: string
example: New Reseller object
'400':
description: Bad Request
security:
- apiKeyAuth: []
components:
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token
````
